- Qt 5.15
- Qt 3D
- C++ Classes
- QPropertyUpdatedChange
- Qt 5.15.19 Reference Documentation

# QPropertyUpdatedChange Class

class Qt3DCore::QPropertyUpdatedChange

The QPropertyUpdatedChange class is used to notify when a property value is updated. More...

Header: | #include <Qt3DCore/QPropertyUpdatedChange>
qmake: | QT += 3dcore
Inherits: | Qt3DCore::QStaticPropertyUpdatedChangeBase

- List of all members, including inherited members

## Public Functions

| QPropertyUpdatedChange(QNodeId subjectId)
void | setValue(const QVariant &value)
QVariant | value() const

## Related Non-Members

typedef | QPropertyUpdatedChangePtr

## Detailed Description

## Member Function Documentation

### QPropertyUpdatedChange::QPropertyUpdatedChange(QNodeId subjectId)

Constructs a new QPropertyUpdatedChange with subjectId.

### void QPropertyUpdatedChange::setValue(const QVariant &value)

Set the property change value.

See also value().

### QVariant QPropertyUpdatedChange::value() const

Returns property value.

See also setValue().

## Related Non-Members

### typedef QPropertyUpdatedChangePtr

A shared pointer for QPropertyUpdatedChange.